"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const Box = require("../../node_modules/.pnpm/@mantine_core@7.17.8_patch_hash_3qirwkgu3wxhvd6hnr2gb24yzq_@mantine_hooks@7.17.8_react@18.3.1_e5yvlgwhmeykc75dkphi7jou6q/node_modules/@mantine/core/esm/core/Box/Box.cjs");
const IconTypeStrikethrough02 = (props, ref) => {
  return /* @__PURE__ */ jsxRuntime.jsx(
    "svg",
    {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      fill: "none",
      xmlns: "http://www.w3.org/2000/svg",
      strokeWidth: "1.5",
      ref,
      ...props,
      children: /* @__PURE__ */ jsxRuntime.jsx(
        "path",
        {
          d: "M5.33333 13.3333H10.6667M6.83333 7V13.3333M9.16667 9.33333V13.3333M2 2L14 14M2.66667 4.66663V3.99996C2.66667 3.63916 2.80998 3.31182 3.04279 3.07178M6.33333 2.66667H11.3333C11.9546 2.66667 12.2652 2.66667 12.5102 2.76816C12.8369 2.90349 13.0965 3.16305 13.2318 3.48976C13.3333 3.73478 13.3333 4.04541 13.3333 4.66667M6.83333 2.66667V3.33333M9.16667 2.66667V5.33333",
          stroke: "currentColor",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: "inherit"
        }
      )
    }
  );
};
const ForwardRef = React.forwardRef(IconTypeStrikethrough02);
const TypeStrikethrough02 = React.forwardRef((props, ref) => {
  if (typeof props.size === "number") {
    const { size, ...rest } = props;
    props = {
      ...rest,
      w: size,
      h: size
    };
  }
  return /* @__PURE__ */ jsxRuntime.jsx(
    Box.Box,
    {
      ref,
      ...props,
      component: ForwardRef,
      className: ["tiui-icon", "TypeStrikethrough02", props.className].join(" ")
    }
  );
});
TypeStrikethrough02.displayName = "IconTypeStrikethrough02";
exports.default = TypeStrikethrough02;
